## asgi-lifespan 2.1.0

=== Makefile ===
venv = venv
bin = ${venv}/bin/
pysources = src/ tests/

build:
	${bin}python -m build

check:
	${bin}black --check --diff ${pysources}
	${bin}flake8 ${pysources}
	${bin}mypy ${pysources}
	${bin}isort --check --diff ${pysources}

install: install-python

venv:
	python3 -m venv ${venv}

install-python: venv
	${bin}pip install -U pip wheel
	${bin}pip install -U build
	${bin}pip install -r requirements.txt

format:
	${bin}autoflake --in-place --recursive ${pysources}
	${bin}isort ${pysources}
	${bin}black ${pysources}

publish:
	${bin}twine upload dist/*

test:
	${bin}pytest

=== requirements.txt ===
-e .

# Packaging
twine
wheel

# Tooling and tests
attrs>=19.2  # Fix compatibility between trio and outcome
autoflake
black==22.10.*
exceptiongroup; python_version<'3.11'
flake8==5.*
isort==5.*
mypy==0.990
pytest==7.*
pytest-asyncio==0.18.*
pytest-cov
pytest-trio==0.8.*
starlette==0.26.*
trio==0.22.*
httpx==0.23.*

=== debian/changelog ===
asgi-lifespan (2.1.0-3) unstable; urgency=medium

  * Skip failing tests marked 'trio' in debian/rules and in autopkgtest.
    (Closes: #1066787)
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Thu, 18 Jul 2024 03:56:56 +0900

asgi-lifespan (2.1.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 20 Aug 2023 13:19:02 +0100

asgi-lifespan (2.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1042549)

 -- Edward Betts <edward@4angle.com>  Sun, 30 Jul 2023 08:51:10 +0100

=== debian/control ===
Source: asgi-lifespan
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-anyio <!nocheck>,
               python3-httpx <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-tornasync <!nocheck>,
               python3-pytest-trio <!nocheck>,
               python3-pytest-twisted <!nocheck>,
               python3-setuptools,
               python3-sniffio,
               python3-starlette <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/florimondmanca/asgi-lifespan
Vcs-Browser: https://salsa.debian.org/python-team/packages/asgi-lifespan
Vcs-Git: https://salsa.debian.org/python-team/packages/asgi-lifespan.git

Package: python3-asgi-lifespan
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Programmatic startup/shutdown of ASGI apps
 Programmatically send startup/shutdown lifespan events into ASGI applications.
 When used in combination with an ASGI-capable HTTP client such as HTTPX, this
 allows mocking or testing ASGI applications without having to spin up an ASGI
 server.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=asgi-lifespan
export PYBUILD_TEST_ARGS=-c /dev/null --asyncio-mode=strict -p no:cacheprovider -m "not trio" -k "not test_lifespan_state_async_cm"

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf src/asgi_lifespan.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/asgi-lifespan-$1\.tar\.gz/ \
  https://github.com/florimondmanca/asgi-lifespan/tags .*/v?(\d\S+)\.tar\.gz
